Subject: bug#44550: 28.0.50; proposal for tabulated-list-mode to provide narrowing incremental search

From: Drew Adams <[email-masked]>
Date: Sun, 15 Nov 2020 15:26:37 -0800 (PST)

> > Isn't this like how incremental filtering works in 'list-packages'?
> 
> It is not filtering real time while user is typing.

I think what Jean means to describe is what I'd call
_incremental_ filtering:

As you type chars into the minibuffer the resulting
minibuffer input filters the current set of candidates
further.  Likewise, as you delete or otherwise edit
chars in the minibuffer.  The content of the minibuffer
is continually matched against the domain of completion
candidates, and the display of matches is updated.

I call it "incremental" as in "incremental search" -
same idea: the search space (set of candidates in the
case of filtering) is filtered on the fly as you edit
the search pattern (minibuffer input in the case of
completion-matching filtering).